SystemOrganization addCategory: #ConfigurationOfOldAlien!

Object subclass: #ConfigurationOfOldAlien
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfOldAlien'!

!ConfigurationOfOldAlien class methodsFor: 'development support' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfOldAlien class methodsFor: 'private' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfOldAlien class methodsFor: 'catalog' stamp: 'EstebanLorenzano 9/14/2015 11:33'!
catalogContactInfo
	^ 'Send a mail to the vm-dev list: vm-dev@lists.squeakfoundation.org'! !

!ConfigurationOfOldAlien class methodsFor: 'catalog' stamp: 'EstebanLorenzano 9/4/2015 12:12'!
catalogDescription
	^ 'Alien is FFI library that extends the regular FFI to support callbacks.'! !

!ConfigurationOfOldAlien class methodsFor: 'catalog' stamp: 'EstebanLorenzano 9/4/2015 12:12'!
catalogKeywords
	^ #(ffi callbacks system)! !

!ConfigurationOfOldAlien class methodsFor: 'private' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfOldAlien class methodsFor: 'private' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfOldAlien class methodsFor: 'metacello tool support' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfOldAlien class methodsFor: 'loading' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfOldAlien class methodsFor: 'loading' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfOldAlien class methodsFor: 'loading' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfOldAlien class methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
project

	^self new project! !

!ConfigurationOfOldAlien class methodsFor: 'development support' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfOldAlien methodsFor: 'baselines' stamp: 'EstebanLorenzano 5/27/2012 11:25'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Alien'. 
		
		spec project: 'FFI' with: [
			spec 
				repository: 'http://www.squeaksource.com/MetacelloRepository';
				className: 'ConfigurationOfFFI';
				version: '1.5' ];
		package: 'Alien' with: [ 
			spec requires: 'FFI' ];
		package: 'Alien-MacOSX-Core' with: [ 
			spec requires: #('Alien') ];
		package: 'Alien-MacOSX-AppKit' with: [ 
			spec requires: #('Alien' 'Alien-MacOSX-Core') ];
		package: 'Alien-MacOSX-Examples' with: [ 
			spec requires: #('Alien' 'Alien-MacOSX-Core') ].
		
	spec group: 'default' with: #('Alien').
	spec group: 'ObjectiveCBridge' with: #('Alien' 'Alien-MacOSX-Core' 'Alien-MacOSX-AppKit').
	spec group: 'ObjectiveCBridge Examples' with: #('ObjectiveCBridge' 'Alien-MacOSX-Examples') ].

	spec for: #pharo do: [
		spec 
			package: 'Alien-MacOSX-Pharo' with: [ 
				spec requires: 'Alien' ].
		spec group: 'ObjectiveCBridge' with: #('Alien' 'Alien-MacOSX-Pharo' 'Alien-MacOSX-Core' 'Alien-MacOSX-AppKit'). ].! !

!ConfigurationOfOldAlien methodsFor: 'accessing' stamp: 'EstebanLorenzano 5/27/2012 10:09'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfOldAlien methodsFor: 'symbolic versions' stamp: 'nice 3/10/2017 00:55'!
stable: spec
	<symbolicVersion: #'stable'>
	
	spec for: #pharo version: '1.0'.
	spec for: #'pharo3.x' version: '1.1'.
	spec for: #'pharo5.x' version: '1.2.1'.
	spec for: #'squeak' version: '1.3'.	! !

!ConfigurationOfOldAlien methodsFor: 'versions' stamp: 'EstebanLorenzano 5/27/2012 11:08'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '5/27/2012 10:15'.
		
		spec project: 'FFI' with: '1.5'.
		spec 
			package: 'Alien' with: 'Alien-eem.20';
			package: 'Alien-MacOSX-Core' with: 'Alien-MacOSX-Core-EstebanLorenzano.11';
			package: 'Alien-MacOSX-AppKit' with: 'Alien-MacOSX-AppKit-John_M_McIntosh.1';
			package: 'Alien-MacOSX-Examples' with: 'Alien-MacOSX-Examples-EstebanLorenzano.6'. ].

	spec for: #'pharo' do: [
		spec package: 'Alien-MacOSX-Pharo' with: 'Alien-MacOSX-Pharo-EstebanLorenzano.1'. ].
! !

!ConfigurationOfOldAlien methodsFor: 'versions' stamp: 'EstebanLorenzano 3/18/2014 17:04'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '18 March 2014 5:04:20 pm'.
		
		spec project: 'FFI' with: '1.8'.
		spec 
			package: 'Alien' with: 'Alien-eem.20';
			package: 'Alien-MacOSX-Core' with: 'Alien-MacOSX-Core-EstebanLorenzano.11';
			package: 'Alien-MacOSX-AppKit' with: 'Alien-MacOSX-AppKit-John_M_McIntosh.1';
			package: 'Alien-MacOSX-Examples' with: 'Alien-MacOSX-Examples-EstebanLorenzano.6'. ].

	spec for: #'pharo' do: [
		spec package: 'Alien-MacOSX-Pharo' with: 'Alien-MacOSX-Pharo-EstebanLorenzano.1'. ].
! !

!ConfigurationOfOldAlien methodsFor: 'versions' stamp: 'EstebanLorenzano 9/4/2015 12:30'!
version1_2: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '2015-09-04 12:02'.
		
		spec project: 'FFI' with: '1.10'.
		spec 
			package: 'Alien' with: 'Alien-eem.25';
			package: 'Alien-MacOSX-Core' with: 'Alien-MacOSX-Core-CarlaGriggio.12';
			package: 'Alien-MacOSX-AppKit' with: 'Alien-MacOSX-AppKit-John_M_McIntosh.1';
			package: 'Alien-MacOSX-Examples' with: 'Alien-MacOSX-Examples-EstebanLorenzano.6'. ].

	spec for: #'pharo' do: [
		spec package: 'Alien-MacOSX-Pharo' with: 'Alien-MacOSX-Pharo-EstebanLorenzano.1'. ].
! !

!ConfigurationOfOldAlien methodsFor: 'versions' stamp: 'EstebanLorenzano 1/27/2016 15:03'!
version1_2_1: spec
	<version: '1.2.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '2016-01-027 15:00'.
		
		spec project: 'FFI' with: '1.10'.
		spec 
			package: 'Alien' with: 'Alien-eem.28';
			package: 'Alien-MacOSX-Core' with: 'Alien-MacOSX-Core-CarlaGriggio.12';
			package: 'Alien-MacOSX-AppKit' with: 'Alien-MacOSX-AppKit-John_M_McIntosh.1';
			package: 'Alien-MacOSX-Examples' with: 'Alien-MacOSX-Examples-EstebanLorenzano.6'. ].

	spec for: #'pharo' do: [
		spec package: 'Alien-MacOSX-Pharo' with: 'Alien-MacOSX-Pharo-EstebanLorenzano.1'. ].
! !

!ConfigurationOfOldAlien methodsFor: 'versions' stamp: 'nice 3/10/2017 01:01'!
version1_3: spec
	<version: '1.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'nice'.
		spec timestamp: '2017-03-10 00:52'.
		
		spec project: 'FFI' with: '1.11'.
		spec 
			package: 'Alien' with: 'Alien-RonieSalgado.40';
			package: 'Alien-MacOSX-Core' with: 'Alien-MacOSX-Core-CarlaGriggio.12';
			package: 'Alien-MacOSX-AppKit' with: 'Alien-MacOSX-AppKit-John_M_McIntosh.1';
			package: 'Alien-MacOSX-Examples' with: 'Alien-MacOSX-Examples-EstebanLorenzano.6'. ].

	spec for: #'pharo' do: [
		spec package: 'Alien-MacOSX-Pharo' with: 'Alien-MacOSX-Pharo-EstebanLorenzano.1'. ].
! !
